Core - Task # 53542

Task # 52965 (Closed): Remove deprecated functions, classes and files

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category: Fluid
Created: 2013-11-12 Assigned To: Markus Klein
Updated: 2014-11-19 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: BE-ViewHelpers: Remove deprecated code

Description

In AbstractBackendViewHelper.php (fluid) there is createDoclnstance() (protected method) with comments:

- Relying on $GLOBALS['SOBE" is
- @deprecated since 6.0 and will be removed in 6.2 ->getDoclInstance() should be used instead.

Since it's only used for BE-ViewHelpers, the scope should be quite limited.

Associated revisions

Revision 211f51bc - 2014-11-19 11:29 - Markus Klein

["[CLEANUP] Remove deprecated code in sysext fluid

Resolves: #53542

Releases: master

Change-Id: 19c90dae141a6c¢f1cf6871ad70d0de4905ab8e1ec
Reviewed-on: http://review.typo3.0rg/33769

Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>

Tested-by: Wouter Wolters <typo3@wouterwolters.nl>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2013-11-12 09:23 - Stefan Neufeind

It is used inside getDoclnstance() which should replace it - which makes me wonder. Does somebody know details?

#2 - 2014-06-19 02:41 - Markus Klein
- Project changed from Fluid to Core
- Category deleted (Fluid: ViewHelpers)

#3 - 2014-06-19 02:41 - Markus Klein

- Category set to Fluid

- Target version changed from 6.2.0 to 7.0
- Parent task set to #52965

- TYPO3 Version set to 6.2
#4 - 2014-11-04 01:16 - Markus Klein
- Assigned To set to Markus Klein

#5 - 2014-11-04 01:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33769

#6 - 2014-11-04 01:33 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33769

#7 - 2014-11-04 02:31 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/33769

#8 - 2014-11-06 11:40 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33769

#9 - 2014-11-18 22:37 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33769

#10 - 2014-11-18 23:02 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0org/33769

#11 - 2014-11-18 23:03 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33769

#12 - 2014-11-18 23:07 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33769
#13 - 2014-11-19 11:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:211f51bc8f855983ce638db7e7362588f4e1ce07.
